POST
Create Brand Group

Authorizations

X-API-Key
string
header
required

An API key of your account, from Settings > API Keys. It starts with gnz-.

Headers

Idempotency-Key
string | null

Any unique string, such as a UUID. Send the same key again to get the first answer and not a second write. The API keeps an answer for 24 hours.

Path Parameters

brand_id
integer
required

Body

application/json
name
string
required
Required string length: 1 - 255
Example:

"Meta"

brand_rank
integer
default:1

1 is first. The reports show the name of the member of rank 1.

Required range: 1 <= x <= 1000
description
string | null
Maximum string length: 2000
include_brand
boolean
default:false
members
GroupMember · object[]
Maximum array length: 100

Response

Successful Response

brand_rank
integer
required

The rank of the brand in the group.

created_at
string<date-time>
required
id
integer
required
include_brand
boolean
required

The brand is a member of the group.

members
PublicGroupMember · object[]
required

The competitors of the group, rank 1 first.

name
string
required
updated_at
string<date-time>
required
description
string | null